<?php

add_action("admin_init", "whakaaro_meta");
function whakaaro_meta(){
	add_meta_box("whakaaro_settings_block", "Page Setup", "whakaaro_settings", "page", "side");
}

if ( ! function_exists( 'whakaaro_settings' ) ){
	function whakaaro_settings($callback_args) {
		global $post;
		$temp_array = array();

		$temp_array = maybe_unserialize(get_post_meta($post->ID,'whakaaro_page_setup',true));
		
		$whakaaro_fullwidth_page = isset( $temp_array['whakaaro_fullwidth_page'] ) ? (bool) $temp_array['whakaaro_fullwidth_page'] : false;
		
		$whakaaro_blog_categories = isset( $temp_array['whakaaro_blog_categories'] ) ? (array) $temp_array['whakaaro_blog_categories'] : array();
		$whakaaro_blog_posts_num = isset( $temp_array['whakaaro_blog_posts_num'] ) ? (int) $temp_array['whakaaro_blog_posts_num'] : 5;
		
		$whakaaro_blog_masonry_cat = isset( $temp_array['whakaaro_blog_masonry_cat'] ) ? (array) $temp_array['whakaaro_blog_masonry_cat'] : array();
		$whakaaro_blog_masonry_posts_num = isset( $temp_array['whakaaro_blog_posts_num'] ) ? (int) $temp_array['whakaaro_blog_posts_num'] : 5;
		
		$whakaaro_images_categories = isset( $temp_array['whakaaro_images_categories'] ) ? (array) $temp_array['whakaaro_images_categories'] : array();
		$whakaaro_images_posts_num = isset( $temp_array['whakaaro_images_posts_num'] ) ? (int) $temp_array['whakaaro_images_posts_num'] : 5;
		
		?>
		
		<?php wp_nonce_field( 'fragrance_page_nonce', '_wpnonce_save' ); ?>
		
		<!-- Blog Settings -->	
		<div style="margin: 10px 0 10px 5px; display: none;" class="blog_page masonry_blog_page portfolio_gallery contact_page">
			<label class="selectit" for="whakaaro_fullwidth_page">
				<input type="checkbox" name="whakaaro_fullwidth_page" id="whakaaro_fullwidth_page" value=""<?php checked( $whakaaro_fullwidth_page ); ?> /> <?php esc_html_e( 'Set the fullwidth page', 'whakaaro' ); ?></label><br/>
		</div>
		
		<div style="margin: 13px 0 11px 4px; display: none;" class="blog_page">
			<label for="whakaaro_blog_posts_num" style="font-weight: bold;"> <?php echo 'Number of posts per page' ; ?> </label>
			<input type="text" class="small-text" value="<?php echo esc_attr( $whakaaro_blog_posts_num ); ?>" id="whakaaro_blog_posts_num" name="whakaaro_blog_posts_num" size="2" />
		</div>
		
		<div style="margin: 10px 0 10px 5px; display: none;" class="blog_page">
			<h4><?php esc_html_e('Choose a blog categories', 'whakaaro' ); ?></h4>
			<?php $categories_array = get_categories('hide_empty=0');
			$site_cats = array();
			foreach ($categories_array as $categs) {
				$checked = '';
				
				if (!empty($whakaaro_blog_categories)) {
					if (in_array($categs->cat_ID, $whakaaro_blog_categories)) $checked = "checked=\"checked\"";
				} ?>
				
				<label style="padding-bottom: 5px; display: block;" for="<?php echo esc_attr( 'whakaaro_blog_categories-' . $categs->cat_ID ); ?>">
					<input type="checkbox" name="whakaaro_blog_categories[]" id="<?php echo esc_attr( 'whakaaro_blog_categories-' . $categs->cat_ID ); ?>" value="<?php echo esc_attr($categs->cat_ID); ?>" <?php echo esc_attr($checked); ?> />
					<?php echo esc_html( $categs->cat_name ); ?>
				</label>							
			<?php } ?>
		</div>
		<!-- Blog Settings -->
		
		<!-- Portfolio Morphing -->
		<div style="margin: 13px 0 11px 4px; display: none;" class="portfolio_morphing">
			<label for="whakaaro_images_posts_num" style="font-weight: bold;"> <?php echo 'Number of posts per page' ; ?> </label>
			<input type="text" class="small-text" value="<?php echo esc_attr( $whakaaro_images_posts_num ); ?>" id="whakaaro_images_posts_num" name="whakaaro_images_posts_num" size="2" />
		</div>
		
		<div style="margin: 10px 0 10px 5px; display: none;" class="portfolio_morphing">
			<h4><?php esc_html_e('Choose portfolio categories', 'whakaaro' ); ?></h4>
			<?php $categories_array = get_categories('hide_empty=0');
			$site_cats = array();
			foreach ($categories_array as $categs) {
				$checked = '';
				
				if (!empty($whakaaro_images_categories)) {
					if (in_array($categs->cat_ID, $whakaaro_images_categories)) $checked = "checked=\"checked\"";
				} ?>
				
				<label style="padding-bottom: 5px; display: block;" for="<?php echo esc_attr( 'whakaaro_images_categories-' . $categs->cat_ID ); ?>">
					<input type="checkbox" name="whakaaro_images_categories[]" id="<?php echo esc_attr( 'whakaaro_images_categories-' . $categs->cat_ID ); ?>" value="<?php echo esc_attr($categs->cat_ID); ?>" <?php echo esc_attr($checked); ?> />
					<?php echo esc_html( $categs->cat_name ); ?>
				</label>							
			<?php } ?>
		</div>
		<!-- Portfolio Morphing -->
<?php }
}

add_action( 'save_post', 'fragrance_save_data', 10, 2 );
function fragrance_save_data( $post_id, $post ){
	global $pagenow;
	if ( 'post.php' != $pagenow ) return $post_id;

	if ( 'page' != $post->post_type )
		return $post_id;
			
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
		return $post_id;
		
	if ( 'page' == $_POST['post_type'] ) {  
		if ( !current_user_can( 'edit_page', $post_id ) )  
		  return $post_id;  
	  } else {  
		if ( !current_user_can( 'edit_post', $post_id ) )  
		  return $post_id;  
	  } 
	
	if ( ! isset( $_POST['_wpnonce_save'] ) || ! wp_verify_nonce( $_POST['_wpnonce_save'], 'fragrance_page_nonce' ) )
        return $post_id;

	if ( !isset( $_POST["page_template"] ) )
		return $post_id;
		
	if ( !in_array( $_POST["page_template"], array('page-blog.php', 'page-blog-masonry.php', 'page-portfolio.php', 'page-portfolio-masonry.php', 'portfolio_morphing.php', 'page-search.php' ) ) )
		return $post_id;
		
	$temp_array = array();
	
	$temp_array['whakaaro_fullwidth_page'] = isset( $_POST["whakaaro_fullwidth_page"] ) ? 1 : 0;
	
	if ( 'page-blog.php' == $_POST["page_template"] ) {
		if (isset($_POST["whakaaro_blog_categories"])) $temp_array['whakaaro_blog_categories'] = (array) $_POST["whakaaro_blog_categories"];
		if (isset($_POST["whakaaro_blog_posts_num"])) $temp_array['whakaaro_blog_posts_num'] = (int) $_POST["whakaaro_blog_posts_num"];
	}
	
	if ( 'page-blog-masonry.php' == $_POST["page_template"] ) {
		if (isset($_POST["whakaaro_blog_masonry_cat"])) $temp_array['whakaaro_blog_masonry_cat'] = (array) $_POST["whakaaro_blog_masonry_cat"];
		if (isset($_POST["whakaaro_blog_masonry_posts_num"])) $temp_array['whakaaro_blog_masonry_posts_num'] = (int) $_POST["whakaaro_blog_masonry_posts_num"];
	}
	
	if ( 'portfolio_morphing.php' == $_POST["page_template"] ) {
		if (isset($_POST["whakaaro_images_categories"])) $temp_array['whakaaro_images_categories'] = (array) $_POST["whakaaro_images_categories"];
		if (isset($_POST["whakaaro_images_posts_num"])) $temp_array['whakaaro_images_posts_num'] = (int) $_POST["whakaaro_images_posts_num"];
	}
	
	update_post_meta( $post_id, "whakaaro_page_setup", $temp_array );
	
	}
?>