(function($){
		"use strict"; 
		 $('.parallax').each(function() {
			var $parallaxSection = $(this);
			var parallaxFunc = function(){
				if ($(window).width() >= 768) {
					var offset = $parallaxSection.offset().top;
					var scrollTop = $(window).scrollTop();
					var yPos = -(offset - scrollTop)/2;
					var coords = 'center '+ yPos + 'px';
					$parallaxSection.css( { backgroundPosition: coords});
				} else {
					$parallaxSection.css( {
						backgroundPosition: 'center',
					});
				}
			};
			parallaxFunc(); 
			$(window).scroll(function (){
				parallaxFunc();
			});
		});
	
		$(window).scroll(function() {
			var scroll_position = $(document).scrollTop();
			if(scroll_position > 500) {
				$(".home #menu_container").addClass("small_header");
				if($('#header-outer').length > 0){
					$('#header-outer').addClass("dark_header_colorFont");
				}
			} else {
				$(".home #menu_container").removeClass("small_header");
				if($('#header-outer').length > 0){
					$('#header-outer').removeClass("dark_header_colorFont");
				}
			}
		});
		
		// ONE-PAGE MENU SETTINGS
	   $("#main-menu").find("a").add("#fr_converse .fr_simple_btn").click(function(){
			var elem = $(this).attr("href");
			$('html, body').animate({ scrollTop: $(elem).offset().top - 110 }, 1000);
	   });
		// ONE-PAGE MENU SETTINGS
	
		if($('.fr-shape-divider-wrap').add('.fr-shape-divider-wrap-bottom').length > 0){
			$('.fr-shape-divider-wrap').add('.fr-shape-divider-wrap-bottom').closest('.sizers').css('width','100%');
		}
		
		if($('.vc_single_bar').length > 0){
			$('.vc_single_bar').each(function(){
					 $(this).find('.vc_label_units').css('left', $(this).find('.vc_label_units').html());
					 //alert( $(this).find('.vc_label_units').html());
				});
		}	
		if( $('#fullpage').length > 0){
			var fr_section = $('.post-content div.fr_section');
			var fr_total_section = fr_section.length;
			$('.post-content').css('height','calc(100vh*'+fr_total_section+')');
			
			$('#fullpage').fullpage({
				  sectionsColor: ['#1bbc9b', '#4BBFC3', '#7BAABE', 'whitesmoke', '#ccddff'],
				  anchors: ['firstPage', 'secondPage', '3rdPage', '4thpage', 'lastPage'],
				  menu: '#menu',
				  scrollOverflow: true,
			});
		}
		
		
		if( $('.item_svg').length > 0){
			$('.item_svg').appear(function() {
				var $svg = $('.item_svg svg').drawsvg({
					stagger: 500,
					duration: 5000,
				});
				$svg.drawsvg('animate');
			});
		}
		
		if( $('.atvImg').length > 0){
			atvImg();
		}
		
		$('.single-post').each(function(i){
				$(this).find('.entry-header').css('backgroundImage', 'url('+$(this).find('.featured_box img').attr('src')+')');
				$(this).find('.featured_box').remove();
			});

		$('#fr_to_top').click(function(){
		   $('html, body').animate({scrollTop:0}, 'slow');
	   });
		
		var isMobile = {
			Android: function() {
				return navigator.userAgent.match(/Android/i);
			},
			BlackBerry: function() {
				return navigator.userAgent.match(/BlackBerry/i);
			},
			iOS: function() {
				return navigator.userAgent.match(/iPhone|iPad|iPod/i);
			},
			Opera: function() {
				return navigator.userAgent.match(/Opera Mini/i);
			},
			Windows: function() {
				return navigator.userAgent.match(/IEMobile/i);
			},
			any: function() {
				return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
			}
		};

		var menu_flip_speed = 200,
		recent_work_opacity_speed = 400,
		featured_controllers_opacity_speed = 500,
		featured_bar_animation_speed = 500,
		featured_bar_animation_easing = 'easeOutExpo',
		$mobile_nav_button = $('#mobile_nav'),
		$main_menu = $('ul.nav'),
		$featured = $('#fr_showcase_slider'),
		$featured_controllers_container = $('#featured-controllers'),
		$featured_control_item = $featured_controllers_container.find('li'),
		container_width = $('#container').innerWidth(),
		$footer_widget = $('.footer-widget'),
		$cloned_nav,
		slider_settings,
		sd_slider_autospeed,
		slider,
		$recent_work_thumb = $('#recent-work .thumb'),
		$gallery_slider = $('.post_gallery_slider');
		
		
		
		$main_menu.superfish({ 
			delay:       300,                            // one second delay on mouseout 
			animation:   {opacity:'show',height:'show'},  // fade-in and slide-down animation 
			speed:       'fast',                          // faster animation speed 
			autoArrows:  false,                           // disable generation of arrow mark-up 
			dropShadows: false                            // disable drop shadows 
		});
		
		
		$('.js #main-menu').show();
	
	$.fn.clickToggle = function(func1, func2) {
        var funcs = [func1, func2];
        this.data('toggleclicked', 0);
        this.click(function() {
            var data = $(this).data();
            var tc = data.toggleclicked;
            $.proxy(funcs[tc], this)();
            data.toggleclicked = (tc + 1) % 2;
            return false;
        });
        return this;
    };
	
	if( $('.fr_left_menu ').length > 0){
		$( "#menu-switch" ).clickToggle(function() {
			$('#menu').animate({right: 0}, 'normal');
			$('#content').animate({right: 300}, 'slow');
			$('body').css('overflowY', 'hidden');
		}, function() {
			$('#menu.fr_left_menu').animate({right: -500}, 'normal');
			$('#content').animate({right: 0}, 'slow');
			$('body').css('overflowY', 'visible');
		});
		
		const menu = document.getElementById("menu_icon");
		menu.addEventListener("click", morph);

		function morph() {
		  menu.classList.toggle("open");
		}
	}
	
		
	
	//MOBILE MENU
		$main_menu.clone().attr('id','mobile_menu').removeClass().appendTo( $mobile_nav_button );
		$cloned_nav = $mobile_nav_button.find('> ul');
		$cloned_nav.find('span.menu_slide').remove().end().find('span.main_text').removeClass();
		
		$mobile_nav_button.click( function(){
			if ( $(this).hasClass('closed') ){
				$(this).removeClass( 'closed' ).addClass( 'opened' );
				$cloned_nav.slideDown( 500 );
			} else {
				$(this).removeClass( 'opened' ).addClass( 'closed' );
				$cloned_nav.slideUp( 500 );
			}
			return false;
		} );
		
		$mobile_nav_button.find('a').click( function(event){
			event.stopPropagation();
		} );
		
		$('#mobile_menu li').hover(function(){
			$(this).find('.sub-menu').slideDown( 300 ).css({display: 'block', visibility: 'visible'});
		}, function () {
			$(this).find('.sub-menu').slideUp( 300 );
		});
		
		$('.sub-menu li').click(function(){
			$(this).find('.sub-menu').slideDown( 300 ).css({display: 'block', visibility: 'visible'});
		}, function () {
			$(this).find('.sub-menu').slideUp( 300 );
		});
		//MOBILE MENU
		
		//FR OPENING MENU
		if( $('.fr_opening_menu').length > 0){
			$('.fr_menu_inner').css('display','none');
			$('.fr_menu_btn').click( function(){
				if ( $(this).find('i').hasClass('fa-bars') ){
					$(this).find('i').removeClass( 'fa-bars' ).addClass( 'fa-times' );
					 $('.fr_menu_inner').css('display','block');
				} else {
					$(this).find('i').removeClass( 'fa-times' ).addClass( 'fa-bars' );
					 $('.fr_menu_inner').css('display','none');
				}
				return false;
			} );
			$(window).bind('scroll',function(e){
				$('.fr_menu_inner').css('display','none');
				$('.fr_menu_btn').find('i').removeClass( 'fa-times' ).addClass( 'fa-bars' );
			});
		}
		
		//FR LEFT MOBILE MENU
		if(isMobile.any()){
			$('#container').removeClass('fr_left_menu_page');
			$('#menu').removeClass('fr_left_menu');
		}
		//FR LEFT MOBILE MENU
		
		
		if( $('.testimonials > ul').length > 0){
			$(".testimonials > ul").carouFredSel({
				auto : false,
				items : 1,
				prev    : {
					button  : "#tes_prev",
					key     : "left"
				},
				next    : {
					button  : "#tes_next",
					key     : "right"
				}   
			});
		}
				
		if( $('.team_member').add('.team_member_img').length > 0){
			$('.team_info').find('a').each(function(){
				if($(this).attr('href') == ''){
					 $(this).hide();
				}else{
					$(this).show();
				}
			});
		}
	
	if( $('.skills_wrap .upload').length > 0){
		$('.skills_wrap .upload').width(0);
		$('.skills_wrap .upload').appear(function() {
			$(this).each(function(){
				$(this).animate({ width: $(this).attr('data-width') +'%'  }, 1000);
			});
		 });
	 }
	 
	 $(window).load(function(){	
		var fr_header_height = $('.home #main_header').attr('data_width');
		if( $(window).width() > 768){
			if($('.home #main_header').attr('data_width') == 'full'){
				//alert(fr_header_height);
				$('.home #main_header').css('height', $(window).height() );
			}else{
				//alert(fr_header_height);
				$('.home #main_header').css('height', fr_header_height );
			}
		}
	});
		
	// HEADER PARALLAX SCROLL	
	function parallaxScroll(){
		var scrolled = $(window).scrollTop();
		$("#main_header").css({backgroundPosition: "0 "+(0+(scrolled*.4))+"%" });
		$(".fr_slide_image").css({backgroundPosition: "0 "+(0+(scrolled*.3))+"%" });
	}
	$(window).bind('scroll',function(e){
		parallaxScroll();
	});
	
	$(window).scroll(function() {
		var scroll_position = $(document).scrollTop();
		if($(window).width() > 800 && !$('#menu').hasClass('fr_opening_menu') && !$('#menu').hasClass('fr_left_menu')){
			if(scroll_position > 500 ) {
				$(".home #menu").addClass("small_header");
				$("#header_info").css("display","none");
			} else {
				$(".home #menu").removeClass("small_header");
				$("#header_info").css("display","block");
			}
		}
	});	
	   
	function OffScroll () {
		var winScrollTop = $(window).scrollTop();
		$(window).bind('scroll',function () {
		  $(window).scrollTop(winScrollTop);
		});
	}
         
})(jQuery);