<?php
/*
Template Name: Sigle Portfolio Item Template
Template Post Type: post, portfolio
*/
?>
<?php get_header(); ?>

<div id="content" class="clearfix fullwidth">
	<article class="entry post clearfix" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div class="fr_single">
			 
			 <header class="entry-header">
				 
				<p class="post-meta">
					<?php if(is_sticky()){ ?>
						<span class="fr_post_sticky"><i class="icon-attach"></i><?php esc_html__('This post is sticky', 'whakaaro'); ?></span>
					<?php } ?>
				</p>
			
			<div class="header-inner">
				<?php if ( is_single() ) : ?>
				<h1 class="main_title"><?php the_title(); ?></h1>
				<?php else : ?>
				<h2 class="main_title">
					<a href="<?php esc_url( the_permalink()); ?>" rel="bookmark"><?php the_title(); ?></a>
				</h2>
				<?php endif; // is_single() ?>
				
				<p class="meta"> <span><?php the_time( get_option( 'date_format' ) ); ?></span> <?php esc_html_e('in', 'whakaaro'); ?> <?php the_category(', ') ?> <?php esc_html_e('by', 'whakaaro'); ?> <?php the_author_posts_link(); ?> <?php comments_popup_link(esc_html__('0 comments','whakaaro'), esc_html__('1 comment','whakaaro'), '% '.esc_html__('comments','whakaaro')); ?></p>
			</div>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php the_content(); ?>
		</div>	
		<div class="nav_wrap">
		<div class="navigation">
			<div class="prev_post">
				<span><?php esc_html_e('Previous Project', 'whakaaro'); ?></span>
				<span><?php previous_post_link('&laquo; %link', '%title', true); ?></span>
			</div> <!-- end prev_post -->
			<div class="portfolio_btn">
				<a href="<?php echo esc_url( home_url() ); ?>"><i class="fas fa-th"></i></a>
			</div>
			<div class="next_post">
				<span><?php esc_html_e('Next Project', 'whakaaro'); ?></span>
				<span><?php next_post_link('%link &raquo;', '%title', true); ?></span>
			</div> <!-- end next_post -->
		</div> <!--end .navigation -->
		</div> <!--end .nav_wrap -->
		<p><?php edit_post_link(
			sprintf(
				/* translators: %s: Name of current post */
				wp_kses( 'Edit<span class="screen-reader-text"> "%s"</span>',array('p' => array(),'span' => array(),)),
				get_the_title()
			),
			'<span class="edit-link">',
			'</span>'
		); ?></p>
			<?php endwhile; ?>
			<?php endif; wp_reset_postdata(); ?>
			
			<?php whakaaro_pagination(); ?>
			
			<?php comments_template(); ?> 
		</div> <!-- end .fr_single -->
		
	</article><!-- end of article -->
</div> <!-- end #content -->
	
<?php get_footer(); ?>