<?php
/*
Plugin Name: Fragrance Theme Extensions
Plugin URI: 
Description: Custom functions for Fragrance Themes
Version: 1.0.0
Author: Fragrance
Author URI: fragrancetheme.com
*/

function fr_register_script() {
	//    :
	/* Video Pop-Up*/
	wp_register_style( 'fr_magnific_popup_css', plugins_url( 'assets/css/magnific-popup.css', __FILE__ ), array() ); 
	wp_register_script( 'fr_magnific_popup', plugins_url( 'assets/js/jquery.magnific-popup.min.js', __FILE__ ), array() ); 
	
	wp_register_script( 'fr_flexslider', plugins_url( 'assets/js/jquery.flexslider-min.js', __FILE__ ), array() ); 
	wp_register_script( 'fr_custom', plugins_url( 'assets/js/custom.js', __FILE__ ), array() ); 
	//   
	wp_enqueue_style( 'fr_magnific_popup_css' );
	wp_enqueue_script( 'fr_flexslider' );
	wp_enqueue_script( 'fr_magnific_popup' );
	wp_enqueue_script( 'fr_custom' );
	
} 
add_action( 'wp_enqueue_scripts', 'fr_register_script' );

require_once('layout.php');
/**
 * Force Visual Composer to initialize as "built into the theme". This will hide certain tabs under the Settings->Visual Composer page
 */
add_action( 'vc_before_init', 'fr_vcSetAsTheme' );
function fr_vcSetAsTheme() {
    vc_set_as_theme();
	require_once('vc_templates/fragrance_elem.php');
}
add_action('init','inc_shortcodes');
	function inc_shortcodes(){
		require_once('shortcodes/shortcodes.php');
}

function whakaaro_my_gallery_shortcode($attr) {
    $post = get_post();

static $instance = 0;
$instance++;

if ( ! empty( $attr['ids'] ) ) {
    // 'ids' is explicitly ordered, unless you specify otherwise.
    if ( empty( $attr['orderby'] ) )
        $attr['orderby'] = 'post__in';
    $attr['include'] = $attr['ids'];
}


// Custom Gallery Output
// Allow plugins/themes to override the default gallery template.
$output = apply_filters('post_gallery', '', $attr);
if ( $output != '' )
    return $output;

// We're trusting author input, so let's at least make sure it looks like a valid orderby statement
if ( isset( $attr['orderby'] ) ) {
    $attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
    if ( !$attr['orderby'] )
        unset( $attr['orderby'] );
}

extract(shortcode_atts(array(
    'order'      => 'ASC',
    'orderby'    => 'menu_order ID',
    'id'         => $post->ID,
    'itemtag'    => 'li',
    'icontag'    => '',
    'columns'    => 3,
    'size'       => 'whakaaro-blog-thumb',
    'include'    => '',
    'exclude'    => ''
), $attr));

$id = intval($id);
if ( 'RAND' == $order )
    $orderby = 'none';

if ( !empty($include) ) {
    $_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );

    $attachments = array();
    foreach ( $_attachments as $key => $val ) {
        $attachments[$val->ID] = $_attachments[$key];
    }
} elseif ( !empty($exclude) ) {
    $attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
} else {
    $attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
}

if ( empty($attachments) )
    return '';

if ( is_feed() ) {
    $output = "\n";
    foreach ( $attachments as $att_id => $attachment )
        $output .= wp_get_attachment_link($att_id, $size, true) . "\n";
    return $output;
}

$itemtag = tag_escape($itemtag);
$icontag = tag_escape($icontag);

$columns = intval($columns);
$itemwidth = $columns > 0 ? floor(100/$columns) : 100;
$float = is_rtl() ? 'right' : 'left';

$selector = "gallery-{$instance}";

$gallery_style = $gallery_div = '';
if ( apply_filters( 'use_default_gallery_style', true ) )
$size_class = sanitize_html_class( $size );
$gallery_div = "<div class='featured_box'><div id='$selector' class='gallery galleryid-{$id} post_gallery_slider flexslider'><ul class='slides'>";
$output = apply_filters( 'gallery_style', $gallery_style . "\n\t\t" . $gallery_div );

$i = 0;
foreach ( $attachments as $id => $attachment ) {
    $link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_link($id, $size, false, false) : wp_get_attachment_link($id, $size, true, false);
    $link = str_replace('<a', '<a rel="lightbox" href=' .wp_get_attachment_url( $attachment->ID ). '',$link);

    $output .= "<{$itemtag}>";
    $output .=  $link;
    $output .= "</{$itemtag}>";
}
$output .= "</ul></div></div>\n";

return $output;
}
// Custom Gallery Output
add_shortcode('gallery', 'whakaaro_my_gallery_shortcode'); 



/*** Register Custom Post Types ***/
function create_portfolio_post_posttype() {
    register_post_type('portfolio', array(
        'labels' => array(
			'name'               => 'Portfilio posts',
			'singular_name'      => 'Portfilio post', 
			'add_new'            => 'Add new portfolio post',
			'add_new_item'       => 'Add new portfolio post', 
			'edit_item'          => 'Edit portfolio post', 
			'new_item'           => 'Edit new portfolio post', 
			'view_item'          => 'View portfolio_post', 
			'search_items'       => 'Serch portfolio post', 
			'not_found'          => 'Not found portfolio post', 
			'not_found_in_trash' => 'Not found portfolio post in trash', 
			'parent_item_colon'  => '', 
			'menu_name'          => 'Portfolio Posts',
		),
       'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => true,
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array('title','editor','author','thumbnail','excerpt', 'comments'),
		'taxonomies'  => array( 'category' ),
        'register_meta_box_cb' => 'create_portfolio_post_metaboxes',
    ));
}

add_action('init', 'create_portfolio_post_posttype');

add_action('add_meta_boxes_portfolio_post', 'create_portfolio_post_metaboxes');

add_action('add_meta_boxes','create_portfolio_post_metaboxes');

function create_portfolio_post_metaboxes($post) {
    add_meta_box('portfolio_post_project_date', 'Date of project', 'portfolio_post_project_date', array('portfolio', 'post'), 'side', 'default');
    add_meta_box('portfolio_post_project_skills', 'Skills used', 'portfolio_post_project_skills', array('portfolio', 'post'), 'side', 'default');
    add_meta_box('portfolio_post_project_client', 'Client', 'portfolio_post_project_client', array('portfolio', 'post'), 'side', 'default');
    add_meta_box('portfolio_post_project_link', 'Project Link', 'portfolio_post_project_link', array('portfolio', 'post'), 'side', 'default');
}
function portfolio_post_project_date() {
    global $post;
    echo '<input type="hidden" '. 'name="portfolio_post_meta_noncename" '
    . 'id="portfolio_post_meta_noncename" '
    . 'value = "' . wp_create_nonce(plugin_basename(__FILE__)) . '" />';
    $fr_project_date = get_post_meta($post->ID, 'fr_project_date', true);
    echo '<input type = "text" name="fr_project_date" value="' . $fr_project_date . '" class = "portfolio_post fr_project_date" />';
}
function portfolio_post_project_skills() {
    global $post;
    echo '<input type="hidden" '. 'name="portfolio_post_meta_noncename" '
    . 'id="portfolio_post_meta_noncename" '
    . 'value = "' . wp_create_nonce(plugin_basename(__FILE__)) . '" />';
    $fr_project_skills = get_post_meta($post->ID, 'fr_project_skills', true);
    echo '<input type = "text" name="fr_project_skills" value="' . $fr_project_skills . '" class = "portfolio_post fr_project_skills" />';
}
function portfolio_post_project_client() {
    global $post;
    echo '<input type="hidden" '. 'name="portfolio_post_meta_noncename" '
    . 'id="portfolio_post_meta_noncename" '
    . 'value = "' . wp_create_nonce(plugin_basename(__FILE__)) . '" />';
    $fr_project_client = get_post_meta($post->ID, 'fr_project_client', true);
    echo '<input type = "text" name="fr_project_client" value="' . $fr_project_client . '" class = "portfolio_post fr_project_client" />';
}
function portfolio_post_project_link() {
    global $post;
    echo '<input type="hidden" '. 'name="portfolio_post_meta_noncename" '
    . 'id="portfolio_post_meta_noncename" '
    . 'value = "' . wp_create_nonce(plugin_basename(__FILE__)) . '" />';
    $fr_project_link = get_post_meta($post->ID, 'fr_project_link', true);
    echo '<input type = "text" name="fr_project_link" value="' . $fr_project_link . '" class = "portfolio_post fr_project_link" />';
}
add_action('save_post', 'create_save_portfolio_post_meta', 1, 2);

function create_save_portfolio_post_meta($post_id, $post) {
    if (!wp_verify_nonce($_POST['portfolio_post_meta_noncename'], plugin_basename(__FILE__))) {
        return $post->ID;
    }
    if (!current_user_can('edit_post', $post->ID)) {
        return $post->ID;
    }
    $portfolio_post_meta['fr_project_date'] = $_POST['fr_project_date'];
    $portfolio_post_meta['fr_project_skills'] = $_POST['fr_project_skills'];
    $portfolio_post_meta['fr_project_client'] = $_POST['fr_project_client'];
    $portfolio_post_meta['fr_project_link'] = $_POST['fr_project_link'];
    foreach ($portfolio_post_meta as $key => $value) {
        if ($post->post_type == "revision")
            return;
        $value = implode(',', (array) $value);

        if (get_post_meta($post->ID, $key, FALSE)) {
            update_post_meta($post->ID, $key, $value);
        } else {
            add_post_meta($post->ID, $key, $value);
        }
        if (!$value) {
            delete_post_meta($post->ID, $key);
        }
    }
}

/*   ajax-load.js */

add_action( 'wp_enqueue_scripts', 'theme_register_scripts', 1 );

function theme_register_scripts() {
 
  /** Register JavaScript Functions File */
  wp_register_script( 'ajax-load', esc_url( trailingslashit( get_template_directory_uri() ) . 'js/ajax-load.js' ), array( 'jquery' ), '1.0', true );
 
  /** Localize Scripts */
  $php_array = array( 'admin_ajax' => admin_url( 'admin-ajax.php' ) );
  wp_localize_script( 'ajax-load', 'php_array', $php_array );
 
}
 
/** Enqueue Scripts. */
add_action( 'wp_enqueue_scripts', 'theme_enqueue_scripts' );
function theme_enqueue_scripts() {
 
  /** Enqueue JavaScript Functions File */
  wp_enqueue_script( 'ajax-load' );
 
}
/* Ajax Post */
add_action( 'wp_ajax_theme_post_example', 'theme_post_example_init' );
add_action( 'wp_ajax_nopriv_theme_post_example', 'theme_post_example_init' );

function theme_post_example_init() {
/* Made Query */
global $post;
$args = array( 'p' => $_POST['id'],'s' => esc_attr($_POST['keyword'] ),'post_type' => array( 'post', 'page', 'portfolio' ) );
$theme_post_query = new WP_Query( $args );
while( $theme_post_query->have_posts() ) : $theme_post_query->the_post();
?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'has_post_thumbnail' );
$url = $thumb['0']; ?>
	<div class="fr_ajax_img_wrap">

		<?php //if ( $post->post_type == 'data-design' && $post->post_status == 'publish' ) {
		
		$attachments = get_posts( array(
			'post_type' => 'attachment',
			'posts_per_page' => -1,
			'post_parent' => $post->ID,
			'exclude'     => get_post_thumbnail_id()
		) );

		if ( $attachments ) {
			$output = '<div class="post_gallery_slider flexslider"><ul class="slides">';
			foreach ( $attachments as $attachment ) {
				$class = "post-attachment mime-" . sanitize_title( $attachment->post_mime_type );
				$thumbimg = wp_get_attachment_link( $attachment->ID, 'full', true );
				$output .= '<li class="' . $class . ' data-design-thumbnail">' . $thumbimg . '</li>';
			}
			$output .= '</ul></div>';
		}
		echo $output;
	//}
?>
	</div>
	<div class="fr_ajax_content_wrap">
		<div class="fr_ajax_content_inner">
			<p class="meta">
				<?php 
				$fr_cat = get_the_category();
				foreach($fr_cat as $fr_categs){
					 if($fr_categs == end($fr_cat)) {
						echo '<span>'. $fr_categs->cat_name . '</span>';
					}else{
						echo '<span>'. $fr_categs->cat_name . '</span>, ';
					}
				} ?>
			</p>
			<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr( 'Permalink to %s' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			<div class="entry-content"><?php echo whakaaro_blog_excerpt(50); ?></div><!-- end .entry-content -->
			<?php $metas = get_post_meta( $post->ID );
			if( isset($metas['fr_project_link']) ){ ?>
				<div class="fr_project_info">
					<div class="fr_project_date"><h6>Date</h6><p><?php printf(get_post_meta($post->ID, 'fr_project_date', true)); ?></p></div>
					<div class="fr_project_skills"><h6>Skills</h6><p><?php echo get_post_meta($post->ID, 'fr_project_skills', true) ?></p></div>
					<div class="fr_project_client"><h6>Client</h6><p><?php echo get_post_meta($post->ID, 'fr_project_client', true) ?></p></div>
					<div class="fr_project_link"><h6>Project Link</h6><p><a href="<?php echo get_post_meta($post->ID, 'fr_project_link', true) ?>"><?php echo get_post_meta($post->ID, 'fr_project_link', true) ?></a></p></div>
				</div>
			<?php } ?>
			<a href="<?php the_permalink(); ?>" class="letter-spacing" title="<?php printf( esc_attr( 'Permalink to %s' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">View Project</a>
		</div>
	</div>
</div>
<?php
endwhile;
exit;
}
/* Ajax Post */

/*** Bg functions ***/
add_action( 'wp_head', 'whakaaro_set_sections_bg' );
function whakaaro_set_sections_bg(){
	
	$whakaaro_header_bg_url = '';
	$whakaaro_HEADER_BG_COLOR = '';
	if ( get_option('whakaaro_HEADER_BG_IMAGE') !== '' ) { $whakaaro_header_bg_url = get_option('whakaaro_HEADER_BG_IMAGE'); }
	if ( get_option('whakaaro_HEADER_BG_COLOR') !== '' ) { $whakaaro_HEADER_BG_COLOR = get_option('whakaaro_HEADER_BG_COLOR'); }
	
	$whakaaro_menu_bg_url = '';
	if ( get_option('whakaaro_MENU_BG_IMAGE') !== '' ) { $whakaaro_menu_bg_url = get_option('whakaaro_MENU_BG_IMAGE'); }
	$whakaaro_left_menu_color = '';
	if ( get_option('whakaaro_LEFT_MENU_COLOR') !== '' ) { $whakaaro_left_menu_color = get_option('whakaaro_LEFT_MENU_COLOR'); }
	$whakaaro_left_menu_color_link = '';
	if ( get_option('whakaaro_LEFT_MENU_COLOR_LINKS') !== '' ) { $whakaaro_left_menu_color_link = get_option('whakaaro_LEFT_MENU_COLOR_LINKS'); }	
	
	$whakaaro_portfolio_carousel = '';
	if ( get_option('whakaaro_PORTFOLIO_CAROUSEL') !== '' ) { $whakaaro_portfolio_carousel = get_option('whakaaro_PORTFOLIO_CAROUSEL'); }
	$whakaaro_portfolio_morphing = '';
	if ( get_option('whakaaro_PORTFOLIO_MORPHING') !== '' ) { $whakaaro_portfolio_morphing = get_option('whakaaro_PORTFOLIO_MORPHING'); }
	
	$whakaaro_color_scheme = '';
	if ( get_option('whakaaro_COLOR_SCHEME') !== '' ) { $whakaaro_color_scheme = get_option('whakaaro_COLOR_SCHEME'); }
		
	$style = '';
	$style .= '<style type="text/css">';
	if ( $whakaaro_header_bg_url <> '' ) $style .= '#main_header { background-image: url(' . esc_attr($whakaaro_header_bg_url) . ') !important; }';
	if ( $whakaaro_HEADER_BG_COLOR <> '' ) $style .= '#main_header { background-color: #' . esc_attr($whakaaro_HEADER_BG_COLOR) . ' !important; }';
	
	if ( $whakaaro_menu_bg_url <> '' ) $style .= '#menu.whakaaro_left_menu { background-image: url(' . esc_attr($whakaaro_menu_bg_url) . ') !important; }';
	if ( $whakaaro_left_menu_color <> '' ) $style .= '#menu.fr_left_menu { background-color: #' . esc_attr($whakaaro_left_menu_color) . ' !important; }';
	if ( $whakaaro_left_menu_color_link <> '' ) $style .= '#menu.fr_left_menu .nav a{ color: #' . esc_attr($whakaaro_left_menu_color_link) . ' !important; }';
	
	if ( $whakaaro_portfolio_carousel <> '' ) $style .= '.page-template-portfolio_carousel{ background-image: url(' . esc_attr($whakaaro_portfolio_carousel) . ') !important; }';
	if ( $whakaaro_portfolio_morphing <> '' ) $style .= '.page-template-portfolio_morphing{ background-color: #' . esc_attr($whakaaro_portfolio_morphing) . ' !important; }';
	
	if ( $whakaaro_color_scheme <> '' ) $style .= '.whakaaro_color_btn, .page-numbers li, .fr_category, .service a.readmore, span.post-meta, .upload, #contacts .wpcf7 p input.wpcf7-submit, .woocommerce a.add_to_cart_button, .woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce button.button.alt, .woocommerce a.button, .woocommerce-cart table.cart input[type=submit], .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, .vc_grid-filter.vc_grid-filter-filled-rounded.vc_grid-filter-color-vista_blue>.vc_grid-filter-item, .vc_grid-filter.vc_grid-filter-filled.vc_grid-filter-color-vista_blue>.vc_grid-filter-item, .tagcloud a, .format-quote blockquote, .format-link p{ background-color: #' . esc_attr($whakaaro_color_scheme) . '; } 
	span a, .page-nav a, #footer a, p.meta a, a.readmore, #breadcrumbs a, #reply-title a, #menu .nav a:hover, .current-menu-ancestor a,.blog-post a.readmore, .features_list li i, .fr_converse span, .fr_testimonials p.meta a, span.price, .pricing-table a.join-button, .woocommerce .woocommerce-message::before, .woocommerce a.added_to_cart, a.showcoupon { color: #' . esc_attr($whakaaro_color_scheme) . '!important; } 
	h2 a:hover, .meta_cat a:hover{ color: #' . esc_attr($whakaaro_color_scheme) . '!important; }
	.features_list li i, .home .wpcf7 p input.wpcf7-submit, .pricing-table a.join-button, .fr_testimonials2 .text, blockquote p { border-color: #' . esc_attr($whakaaro_color_scheme) . '; } ';
	$style .= '</style>';
	
	if ($whakaaro_header_bg_url <> '' || $whakaaro_menu_bg_url <> '' || $whakaaro_HEADER_BG_COLOR <> '' || $whakaaro_color_scheme <> '' || $whakaaro_portfolio_carousel <> '' || $whakaaro_left_menu_color <> '' || $whakaaro_left_menu_color_link <> '') echo $style;
}

add_action( 'wp_head', 'whakaaro_set_font_color' );
function whakaaro_set_font_color(){

	$header_font_color = '';
	if ( get_option('whakaaro_HEADER_FONT_COLOR') !== '' ) { $header_font_color = get_option('whakaaro_HEADER_FONT_COLOR'); }
	$footer_font_color = '';
	if ( get_option('whakaaro_FOOTER_FONT_COLOR') !== '' ) { $footer_font_color = get_option('whakaaro_FOOTER_FONT_COLOR'); }
	
	$font_color = '';
	$font_color .= '<style type="text/css">';
	
	if ( $header_font_color <> '' ) $font_color .= 'h1#slogan, #description, .home #main_header a, #menu .nav a, #logo_wrapper #purchase, #logo_wrapper p { color: #' . esc_attr($header_font_color) . '; } #menu .nav a:hover, #logo_wrapper #purchase, .mouse, .whakaaro_mouse_wrap span{ border-color: #' . esc_attr($header_font_color) . '; }.wheel { background-color: #' . esc_attr($header_font_color) . '; }';
	if ( $footer_font_color <> '' ) $font_color .= 'p#copyright { color: #' . esc_attr($footer_font_color) . '; }';
	
	$font_color .= '</style>';
	
	if ($header_font_color <> '' || $footer_font_color <> '') echo $font_color;
}

?>