<?php

add_action('header_top','fragrance_control_panel');
function fragrance_control_panel(){
	global $whakaaro_shortname;
	
	$admin_access = apply_filters( 'showcontrol_panel', current_user_can('switch_themes') );
	if ( !$admin_access ) return;
	if ( get_option('SHOW_CONTROL_PANEL') <> 'on' ) return;
	global $fr_bg_texture_urls, $fr_add_google_fonts; ?>
	<div id="control_panel_wrap">
		<div id="control_panel_main">
			<a id="control_panel_close" href="#"></a>
			<div id="control_panel_inner" class="clearfix">				
				
				<?php 
					$google_fonts = $fr_add_google_fonts;
					$font_setting = 'Arvo';
					$body_font_setting = 'Open Sans';
					$decorative_font_setting = 'Montserrat';
					if ( isset( $_COOKIE['whakaaro_HEADER_FONT'] ) ) $font_setting = $_COOKIE['whakaaro_HEADER_FONT'];
					if ( isset( $_COOKIE['whakaaro_BODY_FONT'] ) ) $body_font_setting = $_COOKIE['whakaaro_BODY_FONT'];
					if ( isset( $_COOKIE['whakaaro_DECORATIVE_FONT'] ) ) $body_font_setting = $_COOKIE['whakaaro_DECORATIVE_FONT'];
				?>
				
			</div> <!-- end #control_panel_inner -->
		</div> <!-- end #control_panel_main -->
	</div> <!-- end #control_panel_wrap -->
<?php
}

add_action( 'wp_head', 'set_font_properties' );
function set_font_properties(){
	$font_style = '';
	$font_family = '';
	
	$header_font = get_option('whakaaro_HEADER_FONT');
	
	if ( $header_font == 'Open Sans' || $header_font == 'Open Sans' ) $header_font = '';
	if ( $header_font <> '' ) {
		$header_font_id = strtolower( str_replace( '+', '_', $header_font ) );
		$header_font_id = str_replace( ' ', '_', $header_font_id );
		
		if ( $header_font <> '' ) { 
			$font_style .= "<link id='" . esc_attr($header_font_id) . "' href='" . esc_url( "http://fonts.googleapis.com/css?family=" . $header_font ) . "' rel='stylesheet' type='text/css' />";
			$font_family = "font-family: '" . esc_html(str_replace( '+', ' ', $header_font )) . "', Arial, sans-serif; ";
		}
		
		$font_style .= "<style type='text/css'>h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, #quote, span.fn, #contact_reset,.reply-container a, .more-link,#logo_wrapper #purchase, .fr_video_popup, #footer li a, .post-meta, .pricing-table a.join-button, .price, .vc_btn3.vc_btn3-size-md, .vc_btn3, .vc_column_container .vc_btn.vc_btn_md, .vc_tta.vc_general .vc_tta-title-text:not(:empty):not(:first-child), .vc_tta.vc_general .vc_tta-title-text:not(:empty) ~ *, .vc_grid-filter > .vc_grid-filter-item, .vc_tta-tab { ". $font_family .  " }</style>";
		
		echo $font_style;
	}
	
	$font_style = '';
	$font_family = '';
	
	$body_font = get_option('whakaaro_BODY_FONT');
	if ( $body_font == 'PT Serif' ) $body_font = '';
	
	if ( $body_font <> '' ) {
		$body_font_id = strtolower( str_replace( '+', '_', $body_font ) );
		$body_font_id = str_replace( ' ', '_', $body_font_id );
		
		if ( $body_font <> '' ) { 
			$font_style .= "<link id='" . esc_attr($body_font_id) . "' href='" . esc_url( "http://fonts.googleapis.com/css?family=" . $body_font ) . "' rel='stylesheet' type='text/css' />";
			$font_family = "font-family: '" . esc_html(str_replace( '+', ' ', $body_font )) . "', Arial, sans-serif; ";
		}
		
		$font_style .= "<style type='text/css'>body, #contact p input, #contact p textarea, p{ ". $font_family .  " }</style>";
		
		echo $font_style;
	}
	
	$font_style = '';
	$font_family = '';
	$decorative_font = get_option('whakaaro_DECORATIVE_FONT');
	if ( $decorative_font == 'PT Serif' ) $decorative_font = '';
	
	if ( $decorative_font <> '' ) {
		$decorative_font_id = strtolower( str_replace( '+', '_', $decorative_font ) );
		$decorative_font_id = str_replace( ' ', '_', $decorative_font_id );
		
		if ( $decorative_font <> '' ) { 
			$font_style .= "<link id='" . esc_attr($decorative_font_id) . "' href='" . esc_url( "http://fonts.googleapis.com/css?family=" . $decorative_font ) . "' rel='stylesheet' type='text/css' />";
			$font_family = "font-family: '" . esc_html(str_replace( '+', ' ', $decorative_font )) . "', Arial, sans-serif !important;";
		}
		
		$font_style .= "<style type='text/css'>.widget .post-date, .team_member p.team_post, .blog .vc_gitem-post-data-source-post_date p, .blog2 .vc_gitem-post-data-source-post_date p, #menu .nav a, .tagcloud a, .fucts_counter, #commentform input#submit, input, textarea,  .pagination a, .woocommerce ul.products li.product .price, .woocommerce div.product p.price, a.more-link, .format-quote blockquote p, .format-link p a, blockquote p{ ". $font_family .  " }</style>";
		
		echo $font_style;
	}
}
?>