<?php

require_once('fragrance_elem/social_network.php');
require_once('fragrance_elem/team_members.php');
require_once('fragrance_elem/video_bg.php');
//require_once('fragrance_elem/icon_elem.php');
require_once('fragrance_elem/blocks.php');
require_once('fragrance_elem/testimonials.php');
require_once('fragrance_elem/process.php');


//Fragrance Separators
function sep_small( $atts ) {
   extract( shortcode_atts( array(
      'color' => '#303030',
	  'width' => '25',
	  'align' => ''
   ), $atts ) );
 
   return "<div style='background-color:{$color}; width:{$width}px;' class='separator  small {$align}'></div>";
}
add_shortcode( 'separator', 'sep_small' );

add_action( 'init', 'separator_small_center' );
function separator_small_center() {
   vc_map( array(
	"name" => __("Separator small center", "eye-q"),
	"base" => "separator",
	"icon" => "fr_sep",
	"class" => "separator  small",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Separator width", "eye-q"),
			"param_name" => "width",
			"value" => '25', //Default dark grey color
			"description" => __("Enter width in 'px'", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Separator color", "eye-q"),
			"param_name" => "color",
			"value" => '#303030', //Default dark grey color
			"description" => __("Choose  color", "eye-q")
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Align", "eye-q"),
			"param_name" => "align",
			"value" => array("", "left", "center", "right"),
			"description" => __("", "eye-q")
		),
      )
   ) );
}
//Fragrance Separators

//Fragrance Shape Devider Corner
function shape_devider( $atts ) {
   extract( shortcode_atts( array(
      'color' => '#f8f8f8',
	  'height' => '200',
   ), $atts ) );
 
   return '<div class="fr-shape-divider-wrap-bottom" style="height:'.$height.'px;" data-front="" data-style="triangle" data-position="bottom"><svg class="fr-shape-divider" fill="'.$color.'" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1000 100" preserveAspectRatio="none"> <polygon points="501 53.27 0.5 0.56 0.5 100 1000.5 100 1000.5 0.66 501 53.27"></polygon></svg></div>';
}
add_shortcode( 'fr_shape_devider', 'shape_devider' );

add_action( 'init', 'shape_devide' );
function shape_devide() {
   vc_map( array(
	"name" => __("Shape Corner Devider ", "eye-q"),
	"base" => "fr_shape_devider",
	"icon" => "fr_sep",
	"class" => "fr_shape_devider",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Shape height", "eye-q"),
			"param_name" => "height",
			"value" => '200',
			"description" => __("Enter height in 'px'", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Shape color", "eye-q"),
			"param_name" => "color",
			"value" => '#f8f8f8', 
			"description" => __("Choose  color", "eye-q")
		),
      )
   ) );
}
//Fragrance Shape Devider Corner

//Fragrance Shape Devider Round
function shape_devider_round( $atts ) {
   extract( shortcode_atts( array(
      'color' => '#ffffff',
	  'height' => '250',
   ), $atts ) );
 
   return '<div class="fr-shape-divider-wrap " style="height:'.$height.'px;" data-front="" data-style="curve" data-position="bottom"><svg class="fr-shape-divider" fill="'.$color.'" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1000 100" preserveAspectRatio="none"> <path d="M 0 0 c 0 0 200 50 500 50 s 500 -50 500 -50 v 101 h -1000 v -100 z"></path> </svg></div>';
}
add_shortcode( 'fr_shape_devider_round', 'shape_devider_round' );

add_action( 'init', 'shape_devide_round' );
function shape_devide_round() {
   vc_map( array(
	"name" => __("Shape Round Devider ", "eye-q"),
	"base" => "fr_shape_devider_round",
	"icon" => "fr_sep",
	"class" => "fr_shape_devider_round",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Shape height", "eye-q"),
			"param_name" => "height",
			"value" => '250', 
			"description" => __("Enter height in 'px'", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Shape color", "eye-q"),
			"param_name" => "color",
			"value" => '#ffffff', 
			"description" => __("Choose  color", "eye-q")
		),
      )
   ) );
}
//Fragrance Shape Devider Round

//Fragrance Split Blocks
function service_block1( $atts, $content = null ) {
	extract( shortcode_atts( array(
	  'title' => '',
	  'desc' => '',
	  'svg' => '',
	  'url' => '#',
	  'icon_color' => '#8f75be',
	), $atts ) );
	
	 $svg = rawurldecode( base64_decode( strip_tags( $svg ) ) );
	
	$output = '<div class="fr_split_block">';
	$output .= '<a class="box-link" href="'.$url.'" target="_self"></a>';
	$output .= '<div class="fr-split-block-content-wrap clearfix">';
	$output .= '<div class="fr-split-block-inner-wrap clearfix">';
	$output .= '<div class="grid-icon-wrap clearfix">';
	$output .= '<a href="'.$url.'" target="_self" class="linked-icon">';
	$output .= '<div data-anim-type="delayed" data-path-timing="ease-in" data-anim-timing="ease-out">';
	$output .= '<svg xmlns="http://www.w3.org/2000/svg" width="50" height="50" viewBox="0 0 24 24"><g stroke="'.$icon_color.'" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" fill="none">';
	$output .= wpb_js_remove_wpautop($svg);
	$output .= '</g></svg>';
	$output .= '</div></a></div>';
	$output .= '<div class="divider-line"></div>';
	$output .= '<h5>'.$title.'</h5><p class="fr-split-block-desc">'.$desc.'</p>';
	$output .= '</div></div></div>';

   return $output;
}
add_shortcode( 'service1', 'service_block1' );

add_action( 'init', 'service_block_1' );
function service_block_1() {
   vc_map( array(
	"name" => __("Split block", "eye-q"),
	"base" => "service1",
	"icon" => "icon_block_1",
	"class" => "separator  small",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Url", "eye-q"),
			"param_name" => "url",
			"value" => '',
			"description" => __("Enter link for page or post", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Icon color", "eye-q"),
			"param_name" => "icon_color",
			"value" => "#8f75be",
			"description" => __("Choose icon color", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Title", "eye-q"),
			"param_name" => "title",
			"value" => '',
			"description" => __("Enter title for block", "eye-q")
		),
		array(
			"type" => "textarea_raw_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Svg Code", "eye-q"),
			"param_name" => "svg",
			"value" => '',
			"description" => __("Enter path for svg icon", "eye-q")
		),
		array(
			"type" => "textarea",
			"holder" => "div",
			"class" => "",
			"heading" => __("Description", "eye-q"),
			"param_name" => "desc",
			"value" => '',
			"description" => __("Enter description for block", "eye-q")
		),
      )
   ) );
}
//Fragrance Split Blocks

//Fragrance Icon Block 2
function svg_block( $atts, $content = null ) {
	extract( shortcode_atts( array(
	  'icon_color' => '#fff',
	  'icon_size' => '',
	  'align' => '',
	  'path' => ''
	), $atts ) );
	
	$path = rawurldecode(  strip_tags( $path ) );
	
	$output = '';
	$output .= "<div class='item_svg {$align}'><div class='icon_box'></div><div class='icon_content'>";
	$output .= ' <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="'.$icon_size.'"
	 viewBox="0 0 60 60" style="enable-background:new 0 0 60 60;" xml:space="preserve"><g stroke="'.$icon_color.'" stroke-linecap="round" stroke-linejoin="round" stroke-miterlimit="10" fill="none">';
	$output .= wpb_js_remove_wpautop($path);
	$output .= '</g></svg></div></div> <!-- end .icon -->';

   return $output;
}
add_shortcode( 'icon2', 'svg_block' );

add_action( 'init', 'svg_item' );
function svg_item() {
   vc_map( array(
	"name" => __("Animated SVG", "eye-q"),
	"description" => '',
	"base" => "icon2",
	"icon" => "svg_item",
	"class" => "",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Alignment", "eye-q"),
			"param_name" => "align",
			"value" => array("center", "left", "right"),
			"description" => __("Align icon", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Size", "eye-q"),
			"param_name" => "icon_size",
			"value" => "",
			"description" => __("Enter icon size. By default 100px.", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Icon color", "eye-q"),
			"param_name" => "icon_color",
			"value" => '#8f75be',
			"description" => __("Choose icon color", "eye-q")
		),
		array(
			"type" => "textarea_raw_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Path", "eye-q"),
			"param_name" => "path",
			"value" => '',
			"description" => __("Enter svg path", "eye-q")
		)		
      )
   ) );
}
//Fragrance Icon Block 2

//Fragrance Fun Fucts
function fun_fucts( $atts ) {
	extract( shortcode_atts( array(
	  'count' => 'Enter number of fact',
	  'fucts_name' => 'Enter your fuct name',
	  'font_color' => '',
	  'symbol' => '',
	), $atts ) );
	
	$output = '';
	$output .= "<div class='fucts_counter' data-perc={$count}>";
	$output .= "<span class='fucts_count highlight' style='color:{$font_color}'>{$count}</span><span class='fucts_symbol' style='color:{$font_color}'>{$symbol}</span>";
	$output .= "<h5 class='fucts_name' style='color:{$font_color}'>{$fucts_name}</h5>";
	$output .= '</div>';

   return $output;
}
add_shortcode( 'fun_fucts_elem', 'fun_fucts' );

add_action( 'init', 'funfucts' );
function funfucts() {
   vc_map( array(
	"name" => __("Fun fucts", "eye-q"),
	"base" => "fun_fucts_elem",
	"icon" => "fr_fuct",
	"class" => "fun_fucts",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Fucts icon", "eye-q"),
			"param_name" => "icon",
			"value" => '',
			"description" => __("Paste class of fontasome icon", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Fucts name", "eye-q"),
			"param_name" => "fucts_name",
			"value" => '',
			"description" => __("Enter your fuct name", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Number of fact", "eye-q"),
			"param_name" => "count",
			"value" => '',
			"description" => __("Enter number of fact", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Symbol of fact", "eye-q"),
			"param_name" => "symbol",
			"value" => '',
			"description" => __("Enter symbol of fact. You can use %, &copy; , &deg; etc", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Font color", "eye-q"),
			"param_name" => "font_color",
			"value" => '',
			"description" => __("Choose font color", "eye-q")
		)
      )
   ) );
}
//Fragrance Fun Fucts

//Fragrance Fun Fucts2
/*function fun_fucts2( $atts ) {
	extract( shortcode_atts( array(
	  'icon' => '',
	  'count' => 'Enter number of fact',
	  'fucts_name' => 'Enter your fuct name',
	  'bg_color' => '',
	  'bg_img' => '',
	  'icon_color' => '',
	  'font_color' => ''
	), $atts ) );
	
	$img_id = preg_replace( '/[^\d]/', '', $bg_img );
	$img_url = wp_get_attachment_image_src( $img_id, 'full' );
	
	$output = '';
	$output .= "<div class='fun_fucts2 fucts_counter' data-perc='{$count}' style='background-image:url({$img_url[0]}); background-color: {$bg_color}'>";
	$output .= "<i class='fa {$icon} fa-2x' style='color:{$icon_color};'></i><br />";
	$output .= "<h6 class='fucts_name' style='color:{$font_color};'>{$fucts_name}</h6><span class='fucts_count highlight' style='color:{$font_color};'>{$count}</span>";
	$output .= '</div>';

   return $output;
}
add_shortcode( 'fun_fucts_elem2', 'fun_fucts2' );

add_action( 'init', 'funfucts2' );
function funfucts2() {
   vc_map( array(
	"name" => __("Fun fucts 2", "eye-q"),
	"description" => ("Fun fucts block 2nd variant"),
	"base" => "fun_fucts_elem2",
	"icon" => "fucts_fn",
	"class" => "fucts2",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Fucts icon", "eye-q"),
			"param_name" => "icon",
			"value" => '',
			"description" => __("Paste class of fontasome icon", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Fucts name", "eye-q"),
			"param_name" => "fucts_name",
			"value" => '',
			"description" => __("Enter your fuct name", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Number of fact", "eye-q"),
			"param_name" => "count",
			"value" => '',
			"description" => __("Enter number of fact", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Background Color", "eye-q"),
			"param_name" => "bg_color",
			"value" => '',
			"description" => __("Choose Bacground Color of the Block", "eye-q")
		),
		array(
			"type" => "attach_image",
			"holder" => "div",
			"class" => "",
			"heading" => __("Background Image", "eye-q"),
			"param_name" => "bg_img",
			"value" => 'none',
			"description" => __("Choose image for background", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Icon Color", "eye-q"),
			"param_name" => "icon_color",
			"value" => '#888',
			"description" => __("Choose Color for Icon", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Font Color", "eye-q"),
			"param_name" => "font_color",
			"value" => '#777',
			"description" => __("Choose Font Color of the Block", "eye-q")
		)
      )
   ) );
}
*/
//Fragrance Fun Fucts 2

//Bunner w Price
/*function bunner_w_price( $atts, $content = null ) {
	extract( shortcode_atts( array(
	  'img' => '',
	  'color' => '',
	  'title' => '',
	  'desc' => '',
	  'price' => '',
	  'url' => '',
	), $atts ) );
	
	$img_id = preg_replace( '/[^\d]/', '', $img );
	$img_url = wp_get_attachment_image_src( $img_id, 'full' );
	
	$output = '';
	$output .= "<a href='{$url}'><div class='fr_bunner_w_price' style='background-image:url({$img_url[0]});'><div class='fr_bunner_overlap' style='background-color:{$color};'></div>";
	$output .= "<div class='fr_bunner_w_price_inner'><p>{$desc}</p>";
	$output .= "<h3>{$title}</h3>";
	$output .= "<span>{$price}</span>";
	$output .= "</div></div></a>";
	return $output;
}
add_shortcode( 'fr_bunner_w_price', 'bunner_w_price' );

add_action( 'init', 'fr_bg' );
function fr_bg() {
   vc_map( array(
	"name" => __("Background block", "eye-q"),
	"base" => "fr_bunner_w_price",
	"class" => "fr_bunner_w_price",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "attach_image",
			"holder" => "div",
			"class" => "",
			"heading" => __("Choose image for bunner", "eye-q"),
			"param_name" => "img",
			"value" => '',
			"description" => __("", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Choose overlap color", "eye-q"),
			"param_name" => "color",
			"value" => '',
			"description" => __("", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Description", "eye-q"),
			"param_name" => "desc",
			"value" => '',
			"description" => __("Here you can enter your own text or leave it blank", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Title", "eye-q"),
			"param_name" => "title",
			"value" => '',
			"description" => __("Enter block title", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Price", "eye-q"),
			"param_name" => "price",
			"value" => '',
			"description" => __("Here you can enter your own text or leave it blank", "eye-q")
		),array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Url for page", "eye-q"),
			"param_name" => "url",
			"value" => '',
			"description" => __("", "eye-q")
		)		
      )
   ) );
}*/
//Bunner w Price

//Fragrance Quote
/*function quote( $atts, $content = null ) {
	extract( shortcode_atts( array(
	  'quote' => '',
	  'author' => ''
	), $atts ) );
	
	$output = '';
	$output = '<div class="quote">';
	$output .= '<i class="fa fa-quote-left"></i>';
	$output .= "<blockquote>".wpb_js_remove_wpautop($content, true)."</blockquote><p class='author'>" .$author ."</p>";
	$output .= '<i class="fa fa-quote-right"></i>';
	$output .= '</div>';
	
	return $output;
}
add_shortcode( 'fr_quote_section', 'quote' );

add_action( 'init', 'fr_quote' );
function fr_quote() {
   vc_map( array(
	"name" => __("Quote", "eye-q"),
	"base" => "fr_quote_section",
	"class" => "section_description",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Quote", "eye-q"),
			"param_name" => "content",
			"value" => '',
			"description" => __("Enter quote", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Quote Author", "eye-q"),
			"param_name" => "author",
			"value" => '',
			"description" => __("Enter quote author", "eye-q")
		)
      )
   ) );
}*/
//Fragrance Quote

//Fragrance Bg Block
/*function bg_block( $atts, $content = null ) {
	extract( shortcode_atts( array(
	  'img' => '',
	  'height' => ''
	), $atts ) );
	
	$img_id = preg_replace( '/[^\d]/', '', $img );
	$img_url = wp_get_attachment_image_src( $img_id, 'full' );
	
	return "<div class='fr_bg_block' style='background-image:url({$img_url[0]}); height:{$height}px;'>".wpb_js_remove_wpautop($content, true)."</div>";
}
add_shortcode( 'fr_bg_block', 'bg_block' );

add_action( 'init', 'fr_bg' );
function fr_bg() {
   vc_map( array(
	"name" => __("Background block", "eye-q"),
	"base" => "fr_bg_block",
	"class" => "fr_bg_block",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "attach_image",
			"holder" => "div",
			"class" => "",
			"heading" => __("Choose image for background", "eye-q"),
			"param_name" => "img",
			"value" => '',
			"description" => __("", "eye-q")
		),
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Description", "eye-q"),
			"param_name" => "content",
			"value" => '',
			"description" => __("Here you can enter your own text or leave it blank", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Block height", "eye-q"),
			"param_name" => "height",
			"value" => '',
			"description" => __("Enter block height", "eye-q")
		)		
      )
   ) );
}*/
//Fragrance Bg Block

// Fragrance Bordered Buttons
/*function bordered_buttons( $atts ) {
	extract( shortcode_atts( array(
	  'url' => '',
	  'text_on_the_btn' => '',
	  'color' => ''
	), $atts ) );
	
	return "<a class='fr_bordered_buttons fr_simple_btn' href='{$url}' style='color:{$color}; border-color:{$color};'>{$text_on_the_btn}</a>";
}
add_shortcode( 'fr_bordered_buttons', 'bordered_buttons' );

add_action( 'init', 'fr_border_btn' );
function fr_border_btn() {
   vc_map( array(
	"name" => __("Bordered Button", "eye-q"),
	"base" => "fr_bordered_buttons",
	"class" => "fr_bordered_buttons",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		 array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("URL (Link)"),
			"param_name" => "url",
			"value" => '',
			"description" => __("Button link.")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Text on the button", "eye-q"),
			"param_name" => "text_on_the_btn",
			"value" => '',
			"description" => __("", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Color", "eye-q"),
			"param_name" => "color",
			"value" => '',
			"description" => __("Border button color.")
		)		
      )
   ) );
}*/
// Fragrance Bordered Buttons

// Fragrance Person Block
function author_quote( $atts, $content = null ) {
    extract( shortcode_atts( array(
		'img' => ''
    ), $atts ) );
	
	$img_id = preg_replace( '/[^\d]/', '', $img );
	$img_url = wp_get_attachment_image_src( $img_id, 'full' );
	
    return "<div class='fr_person_block clearfix'><div class='avatar'><img src='{$img_url[0]}' alt='img'/></div><div class='fr_author_quote'>".wpb_js_remove_wpautop($content, true)."</div></div>";
}
add_shortcode( 'fr_author_quote', 'author_quote' );

add_action( 'init', 'fr_widget_quote' );
function fr_widget_quote() {
   vc_map( array(
    "name" => __("Person block 1", "eye-q"),
    "base" => "fr_author_quote",
    "class" => "fr_author_quote",
    "category" => __('Fragrance Element', 'eye-q'),
    'admin_enqueue_js' => '',
    'admin_enqueue_css' => '',
    "params" => array(
        array(
			"type" => "attach_image",
			"holder" => "div",
			"class" => "",
			"heading" => __("Choose image", "eye-q"),
			"param_name" => "img",
			"value" => '',
			"description" => __("", "eye-q")
		),
		array(
            "type" => "textarea_html",
            "holder" => "div",
            "class" => "",
            "heading" => __("Quote", "eye-q"),
            "param_name" => "content",
            "value" => '',
            "description" => __("", "eye-q")
        )
      )
   ) );
}
// Fragrance Person Block
