<?php

//Fragrance Process
function process( $atts, $content = null ) {
	extract( shortcode_atts( array(
	  'img' => '',
	  'sub_head' => '',
	  'title' => '',
	  'bg_text' => '',
	  'align' => '',
	), $atts ) );
	
	$img_id = preg_replace( '/[^\d]/', '', $img );
	$img_url = wp_get_attachment_image_src( $img_id, 'full' );
	
	$output = "";
	$output .= "<div class='fr-process {$align}'>";
	$output .= "<div class='fr-process-bg'  style='background-image:url({$img_url[0]});'></div>";
	$output .= "<div class='fr-process-content'><div class='fr-process-inner'><h5>".$sub_head."</h5><h3>".$title."</h3><p>".wpb_js_remove_wpautop($content, true)."</p></div><div class='fr-process-bg-text'>".$bg_text."</div></div>";
	$output .= "</div>";

   return $output;
}
add_shortcode( 'process_elem', 'process' );

add_action( 'init', 'process_map' );
function process_map() {
   vc_map( array(
	"name" => __("Process", "eye-q"),
	"base" => "process_elem",
	"icon" => "",
	"class" => "",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Sub heading", "eye-q"),
			"param_name" => "sub_head",
			"value" => '',
			"description" => __("Enter sub heading", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Title", "eye-q"),
			"param_name" => "title",
			"value" => '',
			"description" => __("Enter your title", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Background text", "eye-q"),
			"param_name" => "bg_text",
			"value" => '',
			"description" => __("Enter number or text for display on background", "eye-q")
		),
		 array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Description", "eye-q"),
			"param_name" => "content",
			"value" => '',
			"description" => __("Enter description", "eye-q")
		),
		array(
			"type" => "attach_image",
			"holder" => "div",
			"class" => "",
			"heading" => __("Choose image", "eye-q"),
			"param_name" => "img",
			"value" => '',
			"description" => __("Choose image to illustrate the process", "eye-q")
		),
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Align Image", "eye-q"),
			"param_name" => "align",
			"value" => array("left", "right"),
			"description" => __("", "eye-q")
		),
      )
   ) );
}
//Fragrance Process
?>