<?php
// Fragrance Testimonials 1
function testimonials( $atts, $content = null ) {
    extract( shortcode_atts( array(
		'img' => '',
		'testimonial' => '',
		'author_name' => '',
		'position' => '',
		'style' => '',
		'bg_color' => '#8f75be',
		'author_name_color' => '',
		'position_color' => '',
    ), $atts ) );
	
	$img_id = preg_replace( '/[^\d]/', '', $img );
	$img_url = wp_get_attachment_image_src( $img_id, 'thumbnail' );
	
	$output = "<div class='fr_testimonials {$style}'>";
	$output .= "<div style='background-color:{$bg_color};'>".wpb_js_remove_wpautop($content, true)."<span class='bottom-arrow' style='background-color:{$bg_color};'></span></div>";
	$output .= "<div class='fr_testi_info'><img src='{$img_url[0]}' alt='img'/>";
	$output .="<p class='meta'><span style='color:{$author_name_color};'>{$author_name}</span><span style='color:{$position_color};'>{$position}</span></p></div></div>";
	
    return $output;
}
add_shortcode( 'fr_testimonials', 'testimonials' );

add_action( 'init', 'fr_testimonials_block' );
function fr_testimonials_block() {
   vc_map( array(
    "name" => __("Testimonials", "eye-q"),
    "base" => "fr_testimonials",
    "class" => "fr_testimonials",
    "category" => __('Fragrance Element', 'eye-q'),
    'admin_enqueue_js' => '',
    'admin_enqueue_css' => '',
    "params" => array(
		array(
			"type" => "dropdown",
			"holder" => "div",
			"class" => "",
			"heading" => __("Style", "eye-q"),
			"param_name" => "style",
			"value" => array("colored", "transparent"),
			"description" => __("", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Background color", "eye-q"),
			"param_name" => "bg_color",
			"value" => "#8f75be",
			"description" => __("Choose background color for colored style", "eye-q")
		),
        array(
			"type" => "attach_image",
			"holder" => "div",
			"class" => "",
			"heading" => __("Testimonial Person Photo", "eye-q"),
			"param_name" => "img",
			"value" => '',
			"description" => __("", "eye-q")
		),
		array(
            "type" => "textarea_html",
            "holder" => "div",
            "class" => "",
            "heading" => __("Testimonial", "eye-q"),
            "param_name" => "content",
            "value" => '',
            "description" => __("", "eye-q")
        ),
		array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __("Testimonial Person Name", "eye-q"),
            "param_name" => "author_name",
            "value" => '',
            "description" => __("", "eye-q")
        ),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Color for Person Name", "eye-q"),
			"param_name" => "author_name_color",
			"value" => "",
			"description" => __("", "eye-q")
		),
		array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "heading" => __("Position", "eye-q"),
            "param_name" => "position",
            "value" => '',
            "description" => __("", "eye-q")
        ),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Color for Position Text", "eye-q"),
			"param_name" => "position_color",
			"value" => "",
			"description" => __("", "eye-q")
		),
      )
   ) );
}
// Fragrance Testimonials 1