<?php

//Video Pop-up
function video_pop_up( $atts, $content = null ) {
   extract( shortcode_atts( array(
      'video_url' => '',
      'bg_img' => '',
	  'btn_color' => '#e84c3d',
      'width' => '100%',
      'height' => '',
   ), $atts ) );
   
	$img_id = preg_replace( '/[^\d]/', '', $bg_img );
	$img_url = wp_get_attachment_image_src( $img_id, 'full' );
	
	$output = "<div class='fr_video_popup' style='background-image:url({$img_url[0]}); width:{$width}; height:{$height};'>";
	$output .= "<div class='fr_video_pop_up_inner'><a class='fr_video_popup_btn fr_pulse_button mfp-iframe' href='{$video_url}' style='background-color:{$btn_color}; box-shadow: 0 0 0 {$btn_color};'><i class='fa fa-play fa-1x' ></i></a>";
	$output .= wpb_js_remove_wpautop($content, true);
	$output .= "</div></div>";
	
   return $output;
}
add_shortcode( 'video_pop_up_elem', 'video_pop_up' );

add_action( 'init', 'fr_video_pop_up' );
function fr_video_pop_up() {
   vc_map( array(
	"name" => __("Video Pop-Up", "eye-q"),
	"description" => "Video from youtuve or vimeo in pop-up window",
	"base" => "video_pop_up_elem",
	"icon" => "video_pop_up",
	"class" => "",
	"category" => __('Fragrance Element', 'eye-q'),
	'admin_enqueue_js' => '',
	'admin_enqueue_css' => '',
	"params" => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Video URL", "eye-q"),
			"param_name" => "video_url",
			"value" => '', 
			"description" => __("Enter video URL", "eye-q")
		),
		array(
			"type" => "textarea_html",
			"holder" => "div",
			"class" => "",
			"heading" => __("Text", "eye-q"),
			"param_name" => "content",
			"value" => 'Pressing the play button will open a pop-up a video player', 
			"description" => __("Enter your text", "eye-q")
		),
		array(
			"type" => "colorpicker",
			"holder" => "div",
			"class" => "",
			"heading" => __("Button Color", "eye-q"),
			"param_name" => "btn_color",
			"value" => 'none',
			"description" => __("Choose color for button", "eye-q")
		),
		array(
			"type" => "attach_image",
			"holder" => "div",
			"class" => "",
			"heading" => __("Background Image", "eye-q"),
			"param_name" => "bg_img",
			"value" => 'none',
			"description" => __("Choose image for background", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Width", "eye-q"),
			"param_name" => "width",
			"value" => '100%', 
			"description" => __("By default width 100%. You can set width in % and px", "eye-q")
		),
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => __("Height", "eye-q"),
			"param_name" => "height",
			"value" => '', 
			"description" => __("You can set height in px", "eye-q")
		),
      )
   ) );
}
//Video Pop-up
?>